Bug 1323246 - khal: Provide a Python 3 subpackage
Summary: khal: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: khal
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michele Baldessari
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-04-01 15:48 UTC by Tomas Orsava
Modified: 2016-04-05 09:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-04 11:12:05 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1323554 None None None Never

Internal Links: 1323554

Description Tomas Orsava 2016-04-01 15:48:58 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Michele Baldessari 2016-04-04 11:12:05 UTC
khal is a leaf package and has been ported to python3 via:
khal-0.7.0-3.fc24 on fc24 and khal-0.7.0-4.fc25 on rawhide

Appropriate require on vdirsyncer is in place to force the python 3 upgrade in one go

Comment 2 Tomas Orsava 2016-04-05 09:32:54 UTC
Thank you for your work!


As a personal question, was this commit necessary?

http://pkgs.fedoraproject.org/cgit/rpms/khal.git/commit/

As far as I understand, the %{?dist} tag should take care of it, shouldn't it?

Comment 3 Michele Baldessari 2016-04-05 09:43:17 UTC
No not strictly needed, mainly for me as I really like keeping master later than any released version

Comment 4 Tomas Orsava 2016-04-05 09:59:03 UTC
Ok, thanks!


Note You need to log in before you can comment on or make changes to this bug.